VLC wont play mpgv or mp4v

VLC wont play mpgv or mp4v.

I’m using opensuse V13.1, kde

I’ve done the above one click install.

Dragon player works fine.

Any suggestions.

Thank you.

Install “vlc-codecs”, either with YaST->Software Management, or by running:

sudo zypper in vlc-codecs

If asked, choose to update the vlc packages to the Packman version (with vendor change).

Thank you, what now?

  Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: vlc-codecs-2.1.4-200.2.x86_64 requires vlc-noX = 2.1.4, but this requirement cannot be provided
  uninstallable providers: vlc-noX-2.1.4-200.2.i586[Packman Repository]
                   vlc-noX-2.1.4-200.2.x86_64[Packman Repository]
                   vlc-noX-2.1.4-90.2.i586[VideoLan Repository]
                   vlc-noX-2.1.4-90.2.x86_64[VideoLan Repository]
                   vlc-noX-2.1.4-200.2.i586[ftp.gwdg.de-suse]
                   vlc-noX-2.1.4-200.2.x86_64[ftp.gwdg.de-suse]
                   vlc-noX-2.1.4-200.2.i586[packman]
                   vlc-noX-2.1.4-200.2.x86_64[packman]
 Solution 1: Following actions will be done:
  install libvlc5-2.1.4-200.2.x86_64 (with vendor change)
    openSUSE  -->  http://packman.links2linux.de
  install vlc-noX-2.1.4-200.2.x86_64 (with vendor change)
    openSUSE  -->  http://packman.links2linux.de
  install vlc-2.1.4-200.2.x86_64 (with vendor change)
    openSUSE  -->  http://packman.links2linux.de
  install vlc-qt-2.1.4-200.2.x86_64 (with vendor change)
    openSUSE  -->  http://packman.links2linux.de
  install vlc-noX-lang-2.1.4-200.2.noarch (with vendor change)
    openSUSE  -->  http://packman.links2linux.de
 Solution 2: do not install vlc-codecs-2.1.4-200.2.x86_64
 Solution 3: do not install vlc-codecs-2.1.4-200.2.x86_64
 Solution 4: break vlc-codecs-2.1.4-200.2.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/3/4/c] (c): 

 

Please post the result of

zypper lr -d

It looks like you have conflicting repos

Hi, I’m having the same problem, video got fixed when i installed the vlc codecs but now audio isnt working. DOe anyone have an idea on how to fix this?
Thanks
Ben

Post what I asked for above too

Okay, looks like a repository vendor change is needed.

 
#  | Alias                     | Name                               | Enabled | Refresh | Priority | Type   | URI                                                             | Service       
---+---------------------------+------------------------------------+---------+---------+----------+--------+-----------------------------------------------------------------+--------
 1 | Packman Repository        | Packman Repository                 | Yes     | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.1/        |        
 2 | VideoLan Repository       | VideoLan Repository                | Yes     | No      |   99     | rpm-md | http://download.videolan.org/pub/vlc/SuSE/13.1                  |        
 3 | dvd                       | dvd                                | Yes     | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/13.1/                            |        
 4 | ftp.gwdg.de-suse          | Packman Repository                 | Yes     | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.1/        |        
 5 | google-earth              | google-earth                       | Yes     | Yes     |   99     | rpm-md | http://dl.google.com/linux/earth/rpm/stable/x86_64              |        
 6 | libdvdcss                 | libdvdcss                          | Yes     | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/13.1/                            |        
 7 | libdvdcss repository      | libdvdcss repository               | Yes     | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/13.1/                            |        
 8 | nVidia Graphics Drivers   | nVidia Graphics Drivers            | Yes     | Yes     |   99     | rpm-md | http://download.nvidia.com/opensuse/13.1/                       |        
 9 | packman                   | packman                            | Yes     | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/13.1/                 |        
10 | repo-debug                | openSUSE-13.1-Debug                | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/13.1/repo/oss/  |        
11 | repo-debug-update         | openSUSE-13.1-Update-Debug         | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.1/                 |        
12 | repo-debug-update-non-oss | openSUSE-13.1-Update-Debug-Non-Oss | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.1-non-oss/         |        
13 | repo-non-oss              | openSUSE-13.1-Non-Oss              | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/non-oss/    |        
14 | repo-oss                  | openSUSE-13.1-Oss                  | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/oss/        |        
15 | repo-source               | openSUSE-13.1-Source               | No      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/13.1/repo/oss/ |        
16 | repo-update               | openSUSE-13.1-Update               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1/                       |        
17 | repo-update-non-oss       | openSUSE-13.1-Update-Non-Oss       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1-non-oss/               |  

 

Remove those repos:

The VideoLan and the Packman repo should not be active at the same time as that will BREAK your multimedia.
The others are duplicates, you only need Packman and the libdvdcss repo ONCE.

Either remove them in YaST->Software Repositories, or run:

sudo zypper rr 2 3 4 5 7 9

Then do a “Full repository Vendor change Update” to the remaining Packman repo:
http://en.opensuse.org/SDB:Vendor_change_update#Full_repository_Vendor_change

On 2014-04-19 15:16, rih5342 wrote:
>
> Okay, looks like a repository vendor change is needed.
>

When pasting computer commands and such, please use a CODE BLOCK, so
that the forum software doesn’t do silly things like converting URLS to
tiny urls or otherwise hide or alter the commands you entered. You get
them by clicking on the ‘#’ button in the forum editor.
See photo

I’ll try to rebuild what you posted.


>
>
> #  | Alias                     | Name                               | Enabled | Refresh | Priority | Type   | URI                                                             | Service
> ---+---------------------------+------------------------------------+---------+---------+----------+--------+-----------------------------------------------------------------+--------
>  1 | Packman Repository        | Packman Repository                 | Yes     | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.1/        |
>  2 | VideoLan Repository       | VideoLan Repository                | Yes     | No      |   99     | rpm-md | http://download.videolan.org/pub/vlc/SuSE/13.1                  |
>  3 | dvd                       | dvd                                | Yes     | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/13.1/                            |
>  4 | ftp.gwdg.de-suse          | Packman Repository                 | Yes     | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.1/        |
>  5 | google-earth              | google-earth                       | Yes     | Yes     |   99     | rpm-md | http://dl.google.com/linux/earth/rpm/stable/x86_64              |
>  6 | libdvdcss                 | libdvdcss                          | Yes     | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/13.1/                            |
>  7 | libdvdcss repository      | libdvdcss repository               | Yes     | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/13.1/                            |
>  8 | nVidia Graphics Drivers   | nVidia Graphics Drivers            | Yes     | Yes     |   99     | rpm-md | http://download.nvidia.com/opensuse/13.1/                       |
>  9 | packman                   | packman                            | Yes     | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/13.1/                 |
> 10 | repo-debug                | openSUSE-13.1-Debug                | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/13.1/repo/oss/  |
> 11 | repo-debug-update         | openSUSE-13.1-Update-Debug         | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.1/                 |
> 12 | repo-debug-update-non-oss | openSUSE-13.1-Update-Debug-Non-Oss | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.1-non-oss/         |
> 13 | repo-non-oss              | openSUSE-13.1-Non-Oss              | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/non-oss/    |
> 14 | repo-oss                  | openSUSE-13.1-Oss                  | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/oss/        |
> 15 | repo-source               | openSUSE-13.1-Source               | No      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/13.1/repo/oss/ |
> 16 | repo-update               | openSUSE-13.1-Update               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1/                       |
> 17 | repo-update-non-oss       | openSUSE-13.1-Update-Non-Oss       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1-non-oss/               |

Ok, packman and Videolan are not compatible, use one or the other. Most
people choose Packman, it is far easier. Some people use the videolan
repo to obtain from it ONLY the vlc application and libs. Mixing apps
and libs from both causes interesting failures.

And this means you did not read the multimedia guide posted here :slight_smile:

Repos 6 and 7 are the same, remove one.

Repos 4 and 9. packman, are obviously repeated from number 1. Remove one.

The rest appears to be correct.

Once you clear your list, just highlight the single packman repo, and
click on switch system packages to this repo.


Cheers / Saludos,

Carlos E. R.
(from 13.1 x86_64 “Bottle” at Telcontar)

It seems that your VLC player can not support video codec that you can not play well. I always convert my videos to MP4/MOV format so that I can play the video smoothly on my Mac with QT or VLC player.